<!--
 * BIAdHocAnalysis.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/executiveInsightOLAPConfig1.xml" >
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation pagingControlVisible="True" location="Local Computer Sales/Ad Hoc/Ad Hoc Graph" id="BIAdHocAnalysis_pres1" imageHeight="300" imageWidth="400"/>
  <orabi:Presentation linkedQuery="BIAdHocAnalysis_pres1" newViewType="Crosstab" id="BIAdHocAnalysis_pres2"/>
  <orabi:Toolbar presentationId="BIAdHocAnalysis_pres2" id="BIAdHocAnalysis_toolbar1"/>
  <orabi:PrintPresentation pageSize="Letter" presentationId="BIAdHocAnalysis_pres1" pageRange="All" id="BIAdHocAnalysis_printPres1"/>
  <orabi:ExportPresentation exportFormat="Excel" pagesPerSheet="All" presentationId="BIAdHocAnalysis_pres2" pageRange="All" id="BIAdHocAnalysis_exportPres2"/>
  <orabi:PageList id="pageList1"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>Ad Hoc Analysis</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="BIAdHocAnalysis.jsp">
        <orabi:InitBITags parentForm="BIForm"/>
        <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0">
        <tr>
          <td>
            <img src="images/developer1.gif" width="180" height="40"/>
          </td>
          <td>
            <img src="images/AdHocAnalysis.gif" width="468" height="60" alt="Ad Hoc Analysis"/>
          </td>
          <td>
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;PageList;;dti;;pageList1;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;_EMP_VAL_;;llp;;1;;lscil;;_EMP_VAL_;;llv;;_EMP_VAL_;;llibc;;_EMP_VAL_;;lti;;DEFAULT;;lrt;;10;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListDefaultContent">
                  <orabi:ListNavigator biList="${pageList1_data}"/>
                </td>
              </tr>
            </table>
            
          </td>
        </tr>
      </table>    
      <table>
        <tr>
          <td valign="top">
              <table border="0" cellspacing="5">
                <tr>
                  <td align="center">
                    <a class="OraLinkText" href="#" onclick="<c:out value="${BIAdHocAnalysis_pres1_data.showPresentationBuilder}"/>" >Edit</a> 
                  </td>
                  
                  <td align="center">
                    <a class="OraLinkText" href="#" onclick="<c:out value="${BIAdHocAnalysis_pres1_data.showCalcBuilder }"/>" >Insert Calculation</a> 
                  </td>
                  
                  <td align="center">
                    <a class="OraLinkText" href="#" onclick="<c:out value="${BIAdHocAnalysis_printPres1_data.execute}"/>" >Print</a> 
                  </td>
                  
                  <td align="center">
                    <a class="OraLinkText" href="#" onclick="<c:out value="${BIAdHocAnalysis_exportPres2_data.execute}"/>" >Export Crosstab</a> 
                  </td>
                </tr>
              </table>
            </FONT>
          </td>
        </tr>
      <tr>
      <td>
        <orabi:Render parentForm="BIForm" targetId="BIAdHocAnalysis_pres1"/>
      </td>
      </tr>
      <tr>
      <td>
        <orabi:Render parentForm="BIForm" targetId="BIAdHocAnalysis_toolbar1"/>
      </td>
      </tr>
      <tr>
      <td>
        <orabi:Render parentForm="BIForm" targetId="BIAdHocAnalysis_pres2"/>
      </td>
      </tr>
   
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    
  </form>
  </orabi:BIBody>
</html>
<%  } %>
<!-- End synchronization of the BI tags -->
