<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page contentType="text/html;charset=windows-1252"%>
<%@ page import="oracle.dss.addins.thin.common.BuiltInPageProperties" %>
<%@ page isErrorPage="false" %>
<%@ page errorPage="error.jsp" %>

<%-- Start synchronization of the BI tags --%>
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1_xxx"  configuration="__dynamic__" >
  <%--  Business Intelligence definition tags here --%>
  <orabi:PrintOptions id="builtin_printOptions1" />
</orabi:BIThinSession>

 <html>
   <head>
     <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
     <title>
       <c:out value="${builtin_printOptions1_data.title}"/>
     </title>
   </head>
   <orabi:BIBody>

     <form name="Print" method="POST"  action="printOptions.jsp" >
      <orabi:InitBITags parentForm="Print"/>    
<%
    Object obj = pageContext.findAttribute("builtInPageProperties");
    if (obj == null || !(obj instanceof BuiltInPageProperties))
    {
      BuiltInPageProperties prop = new BuiltInPageProperties(request);
      pageContext.setAttribute("builtInPageProperties", prop, pageContext.SESSION_SCOPE);
    } 
%>                   
      <table cellpadding="0" cellspacing="0" border="0" width="100%" summary="">
         <tr>
           <c:if test="${builtInPageProperties.showCorporateBranding}">
             <td align="left" width="1%">
               <img src="<c:out value="${builtInPageProperties.corporateBranding}" />"
                    alt="" border="0"/>
             </td>
           </c:if>
           <c:if test="${builtInPageProperties.showProductBranding}">           
             <td align="left" width="2%">
               <img src="<c:out value="${builtInPageProperties.productBranding}" />"
                    alt="" border="0" />
             </td>
             <td align="right" width="97%">
             </td>
           </c:if>
         </tr>         
       </table>         
       <table cellpadding="0" cellspacing="0" border="0" width="100%" summary="">
         <tr>
           <td colspan="2" style="padding-top:10pt" align="center">
             <orabi:PageLocation thinBeanId="builtin_printOptions1"/>
          </td>
         </tr>
         <tr>
           <td colspan="2">
             <H1 class="p_OraProductBrandingCompactText" style="padding-top:5;">
               <c:out value="${builtin_printOptions1_data.title}"/>
             </H1>
           </td>
         </tr>
         <tr>
           <td colspan="2" width="100%" height="1" style="background-color: #cccc99">
           </td>
         </tr>
         <tr>
           <td colspan="2" class="OraInstructionText">
             <orabi:PageMessages thinBeanId="builtin_printOptions1"  />
           </td>
         </tr>
         <tr>
           <td class="OraInstructionText" style="padding-top:3">
             <orabi:PageStatus thinBeanId="builtin_printOptions1" />
           </td>
           <td align="right" style="padding-top:3">
             <orabi:PageButtons thinBeanId="builtin_printOptions1" />
           </td>
         </tr>
         <tr>
           <td colspan="2" style="padding-top:3;padding-bottom:5pt;padding-top:10pt">
             <orabi:Render targetId="builtin_printOptions1" />
           </td>
         </tr>
         <tr>
           <td colspan="2" width="100%" height="1" style="background-color: #cccc99;">
           </td>
         </tr>
         <tr>
           <td colspan="2" align="right" style="padding-top:3">
             <orabi:PageButtons thinBeanId="builtin_printOptions1" />
           </td>
         </tr>
         <tr>
           <td colspan="2" width="100%" align="left" class="OraCopyright" style="padding-top:5pt">
             <c:if test="${builtInPageProperties.showCopyrightLogo}">
                <img src="<c:out value="${builtInPageProperties.copyrightLogo}" />"
                      alt="" border="0"/>
             </c:if>
           </td>
         </tr>
       </table>
       <%-- The InsertHiddenFields tag adds state fields to the parent form tag --%>
       <orabi:InsertHiddenFields biThinSessionId="bisession1" />
     </form>
   </orabi:BIBody>
 </html>
<% } %>
<%-- End synchronization of the BI tags --%>
