<!--
 * dialogWizardDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page errorPage="cabo/bi/jsp/error.jsp" %>
<%@ page contentType="text/html;charset=windows-1252"%>

<!-- Start synchronization of the BI tags -->
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1"  configuration="/BIJSPTagGuideOLAPConfig1.xml" >
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation location="Reports/Cost Comparison" id="builtinPages_pres1"/>
  <orabi:Presentation location="Customers/KPI Sales Customer Region" id="builtinPages_pres2" pagingControlVisible="False"/>
</orabi:BIThinSession>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <title>
      BI Beans JSP Page
    </title>
  </head>

  <orabi:BIBody>
    <form name="BIForm" method="POST"  action="dialogWizardDemo.jsp" >
      <orabi:InitBITags parentForm="BIForm"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Built-in&nbsp;Dialog and Wizard Pages Demo</FONT> </STRONG>
          </td>
        </tr>
      </table>
      <p/>
      <table cellspacing="2" cellpadding="3" border="1" width="100%">
        <tr>
          <td width="17%" class="OraFieldText" bgcolor="Silver" align="Center">
            <STRONG>Available Dialogs and Wizards</STRONG>
          </td>
          <td width="83%" class="OraFieldText" bgcolor="Silver" align="Center">
            <STRONG>Select one of the links on the left to invoke the dialog or wizard</STRONG>
          </td>
        </tr>
        <tr>
          <td width="17%" align="center">
            <DIV align="left">
              <table width="100%">
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showLayout}"/>">Advanced Rotate</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showQueryStartPage}"/>">Select Items</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showRefineSelections}"/>">Refine Selections</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showCalcBuilder}"/>">Insert Calculation</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showOpen}"/>">Open</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showPresentationBuilder}"/>">Edit</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showPresentationOptions}"/>">Crosstab Options</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showExportOptions}"/>">Export Options</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showPrinterFriendlyView}"/>">Printer Friendly</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showPrintOptions}"/>">Print Options</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showSave}"/>">Save</a> 
                  </td>
                </tr>
                <tr align="center" width="100%">
                  <td width="100%">
                    <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres1_data.showSaveAs}"/>">Save As</a> 
                  </td>
                </tr>
              </table>
            </DIV>
          </td>
          <td width="83%" valign="top">
            <orabi:Render parentForm="BIForm" targetId="builtinPages_pres1"/>
          </td>
        </tr>
        <tr>
          <td width="17%" class="OraFieldText" bgcolor="Silver" align="Center">
            <STRONG>Graph Specific Dialogs and Wizards</STRONG>
          </td>
          <td width="83%" class="OraFieldText" bgcolor="Silver" align="Center">
            <STRONG>All the dialogs and wizards listed above are also available for the Graph bean. The Graph has a few additional dialogs.</STRONG>
          </td>
        </tr>
        <tr>
          <td valign="top" width="17%" align="center">
            <table width="100%">
              <tr align="center" width="100%">
                <td width="100%">
                  <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres2_data.showPresentationOptions}"/>">Graph Options</a> 
                </td>
              </tr>
              <tr align="center" width="100%">
                <td width="100%">
                  <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres2_data.showGraphStyle}"/>">Graph Style</a> 
                </td>
              </tr>
              <tr align="center" width="100%">
                <td width="100%">
                  <a href="#" class="OraLinkText" onclick="<c:out value="${builtinPages_pres2_data.showGraphType}"/>">Graph Type</a> 
                </td>
              </tr>
            </table>
          </td>
          <td width="83%">
            <orabi:Render parentForm="BIForm" targetId="builtinPages_pres2"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm"  biThinSessionId="bisession1" />
    </form>

  </orabi:BIBody>
</html>
<% } %>
<!-- End synchronization of the BI tags -->
