<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page errorPage="error.jsp" %>
<%@ page import="oracle.dss.addins.thin.common.BuiltInPageProperties" %>
<%@ page contentType="text/html;charset=windows-1252"%>

<%-- Start synchronization of the BI tags --%>
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1_xxx"  configuration="__dynamic__" >
  <%--  Business Intelligence definition tags here --%>
  <orabi:FormatCustomizer id="builtin_formatCustomizer1" />
</orabi:BIThinSession>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
  </head>

  <orabi:BIBody>
    <form name="BIForm" method="POST"  action="formatCustomizer.jsp" >
      <orabi:InitBITags parentForm="BIForm"/>
<%
    Object obj = pageContext.findAttribute("builtInPageProperties");
    if (obj == null || !(obj instanceof BuiltInPageProperties))
    {
      BuiltInPageProperties prop = new BuiltInPageProperties(request);
      pageContext.setAttribute("builtInPageProperties", prop, pageContext.SESSION_SCOPE);
    } 
%>           
        <table cellpadding="0" cellspacing="0" border="0" width="100%" summary="">
          <tr>
            <c:if test="${builtInPageProperties.showCorporateBranding}">
              <td align="left" width="1%">
                <img src="<c:out value="${builtInPageProperties.corporateBranding}" />"
                     alt="" border="0"/>
              </td>
            </c:if>
            <c:if test="${builtInPageProperties.showProductBranding}">           
              <td align="left" width="2%">
                <img src="<c:out value="${builtInPageProperties.productBranding}" />"
                     alt="" border="0" />
              </td>
              <td align="right" width="97%">
              </td>
            </c:if>
          </tr>         
        </table>              
      <%-- Insert your Business Intelligence tags here --%>
      <table width="100%">
         <tr>
           <td colspan="2">
             <H3>
               <FONT color="#336699">
                 <c:out value="${builtin_formatCustomizer1_data.title}"/>
               </FONT>
             </H3>
           </td>
         </tr>
         <tr>
           <td colspan="2">
             <hr/>
           </td>
         </tr>
         <tr>
           <td colspan="2">
             <orabi:PageMessages thinBeanId="builtin_formatCustomizer1"  />
           </td>
         </tr>
         <tr>
           <td>
             <orabi:PageStatus thinBeanId="builtin_formatCustomizer1" />
           </td>
           <td>
             <DIV align="right">
               <orabi:PageButtons thinBeanId="builtin_formatCustomizer1" />
             </DIV>
             </td>
         </tr>
         <tr>
           <td colspan="2">
             <orabi:Render targetId="builtin_formatCustomizer1" />
           </td>
         </tr>
         <tr>
         <td colspan="2">
         <hr/>
         </td>
         </tr>
         <tr>
           <td colspan="2">
             <DIV align="right">
               <orabi:PageButtons thinBeanId="builtin_formatCustomizer1" />
             </DIV>
           </td>
         </tr>
       </table>
      <table cellpadding="0" cellspacing="0" border="0" width="100%" summary="">
         <tr>
           <td class="x9" width="100%">
           </td>
         </tr>
         <tr>
           <td>
             <c:if test="${builtInPageProperties.showCopyrightLogo}">           
               <div class="x42">
                 <img src="<c:out value="${builtInPageProperties.copyrightLogo}" />"
                      alt="" border="0" />                            
               </div>             
            </c:if>
           </td>
         </tr>
       </table>                     
      <%-- The InsertHiddenFields tag adds state fields to the parent form tag --%>
      <orabi:InsertHiddenFields biThinSessionId="bisession1" />
    </form>

  </orabi:BIBody>
</html>
<% } %>
<%-- End synchronization of the BI tags --%>
