:@echo off

:main

if "%1" == "" goto helptopic
if "%2" == "" goto helptopic
if "%3" == "" goto helptopic
if "%4" == "" goto helptopic
if "%5" == "" goto helptopic
if "%6" == "" goto helptopic

goto setargs
:main1
goto createbiuser

:main2
echo End of installation of relational Discoverer workbooks
goto end

:endmain

:: ////////////////////////////////
:createbiuser
cd %SCRIPT_LOCATION_DISCO%
echo Creating bi_user EUL ...

rem --- create user
java -jar %BI_HOME%\bin\eulbuilder.jar -create_eul -connect system/%SYSTEM_PASSWORD%@%TNSNAMES% -user bi_user -password bi_user -temporary_tablespace %TEMPORARY_TABLESPACE% -default_tablespace %DEFAULT_TABLESPACE% -log create_eul.log

rem --- grant privileges
echo Granting bi_user privileges
%BI_HOME%\bin\sqlplus -L -S SYSTEM/%SYSTEM_PASSWORD%@%TNSNAMES% @%SCRIPT_LOCATION_DISCO%\grant_bi_user_privs.sql

rem --- import EEX file
echo importing metadata for bi_user
java -jar %BI_HOME%\bin\eulbuilder.jar -connect bi_user/bi_user@%TNSNAMES% -import %SCRIPT_LOCATION_DISCO%\bi_user.eex -preserve_workbook_owner 

echo Refreshing summaries...
rem --- refresh summaries
java -jar %BI_HOME%\bin\eulbuilder.jar -connect bi_user/bi_user@%TNSNAMES% -refresh_summary "Profit Analysis Summary 2" -log refresh1.log

rem --- refresh summaries
java -jar %BI_HOME%\bin\eulbuilder.jar -connect bi_user/bi_user@%TNSNAMES% -refresh_summary "Profits Analysis Summary 1" -log refresh2.log

rem --- refresh summaries
java -jar %BI_HOME%\bin\eulbuilder.jar -connect bi_user/bi_user@%TNSNAMES% -refresh_summary "Sales Analysis Summary 1" -log refresh3.log

cd %SCRIPT_LOCATION_DISCO%
goto main2

:: ////////////////////////////////
:setargs
set TNSNAMES=%1
set SYSTEM_PASSWORD=%2
set BI_HOME=%3
set DEFAULT_TABLESPACE=%4
set TEMPORARY_TABLESPACE=%5
set SCRIPT_LOCATION_DISCO=%6
goto main1


:: ////////////////////////////////
:helptopic
echo.
echo.
echo Not all parameters have been passed correctly to this script. Cannot continue. Exiting... 
echo.
echo Note: Your PATH variable should include the location of the Java Runtime (i.e. java.exe) and SQL*Plus
echo.
echo.

goto end


:: ////////////////////////////////
:end
