#!/bin/ksh

if [ $# -ne 8 ]
then
	echo "Usage $0 hostname port sid systempasswd bihome d40syspasswd scriptlocation tnsname"
	exit 1
fi

HOSTNAME=$1
PORT=$2
SID=$3
SYSTEM_PASSWORD=$4
BI_HOME=$5
D4OSYS_PASSWORD=$6
SCRIPT_LOCATION_OLAP=$7
TNSNAME=$8

#Setupdiscocatalog
#Create the tnsnames entry
echo "Installing disco catalog ..."
cd $SCRIPT_LOCATION_OLAP
echo install_olap.sh $HOSTNAME $PORT $SID $SYSTEM_PASSWORD $D4OSYS_PASSWORD $BI_HOME $TNSNAME
./install_olap.sh $HOSTNAME $PORT $SID $SYSTEM_PASSWORD $D4OSYS_PASSWORD $BI_HOME $TNSNAME
