<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ page errorPage="error.jsp" %>
<%@ page contentType="text/html;charset=windows-1252"%>

<!-- Start synchronization of the BI tags -->
<% synchronized(session){ %>
<orabi:BIThinSession id="bisession1_xxx"  configuration="__dynamic__" >
  <!--  Business Intelligence definition tags here -->
  <orabi:ExplorerDialog id="builtin_explorerDialog1" />
</orabi:BIThinSession>

<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
    <title>
      <c:out value="${builtin_explorerDialog1_data.title}"/>
    </title>
  </head>

  <orabi:BIBody>
    <form name="ExplorerDialog" method="POST"  action="explorerDialog.jsp" >
      <orabi:InitBITags parentForm="ExplorerDialog"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellpadding="0" cellspacing="0" border="0" width="100%" summary="">
        <tr>
          <td colspan="2" >
            <H1 class="p_OraProductBrandingCompactText" style="padding-top:5">
              <c:out value="${builtin_explorerDialog1_data.title}"/>
            </H1>
          </td>
        </tr>
        <tr>
          <td colspan="2" width="100%" height="1" style="background-color: #cccc99">
          </td>
        </tr>
        <tr>
          <td colspan="2" class="OraInstructionText">
            <orabi:PageMessages thinBeanId="builtin_explorerDialog1" />
          </td>
        </tr>
        <tr>
          <td class="OraInstructionText" style="padding-top:3">
            <orabi:PageStatus thinBeanId="builtin_explorerDialog1" />
          </td>
          <td align="right" style="padding-top:3">
            <orabi:PageButtons thinBeanId="builtin_explorerDialog1" />
          </td>
        </tr>
        <tr>
          <td colspan="2" style="padding-top:3;padding-bottom:5pt;padding-top:10pt">
            <orabi:Render targetId="builtin_explorerDialog1" />
          </td>
        </tr>
        <tr>
          <td colspan="2" width="100%" height="1" style="background-color: #cccc99;">
          </td>
        </tr>
        <tr>
          <td colspan="2" align="right" style="padding-top:3">
            <orabi:PageButtons thinBeanId="builtin_explorerdDalog1" />
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields biThinSessionId="bisession1" />
    </form>

  </orabi:BIBody>
</html>
<% } %>
<!-- End synchronization of the BI tags -->
