<!--
 * dimensionTreeDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%   synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <!--  Business Intelligence definition tags here -->
  <orabi:Presentation location="Reports/Cost Comparison by Geography" id="dimensionTree_pres1"/>
  <orabi:DimensionTree height="300" hierarchy="MDM!D_CS_OLAP.SHAWGEOGRAPHIES.STANDARD" targetPresentationId="dimensionTree_pres1" width="300" scrollingEnabled="True" dimension="MDM!D_CS_OLAP.SHAWGEOGRAPHIES" focusColumnVisible="False" id="dimensionTree_dimensionTree1"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Dimension Tree JSP Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="dimensionTreeDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Dimension Tree Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="20">
          <ul>
           <li>Dimension Tree  displays dimension members in a hierarchy.</li>
           <li>Select members and click on Select, Add, Keep or Remove to modify the Crosstab</li>
           </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <table border="0" cellspacing="1" cellpadding="2">
        <tr>
          <td bgColor="#f1f1f1">
            <orabi:Render parentForm="BIForm" targetId="dimensionTree_dimensionTree1"/>
          </td>
          <td valign="middle">
            <table>
              <tr>
                <td>
                  <input type="image" src="images/select.gif" name="Select" value="Select" onclick="<c:out value="${dimensionTree_dimensionTree1_data.applyReplace}"/>"/>
                </td>
              </tr>
              <tr>
                <td valign="top">
                  <input type="image" src="images/add.gif" name="Add" value="Add" onclick="<c:out value="${dimensionTree_dimensionTree1_data.applyAdd}"/>"/>
                </td>
              </tr>
              <tr>
                <td>
                  <input type="image" src="images/keep.gif" name="Keep" value="Keep" onclick="<c:out value="${dimensionTree_dimensionTree1_data.applyKeep}"/>"/>
                </td>
              </tr>
              <tr>
                <td>
                  <input type="image" src="images/remove.gif" name="Remove" value="Remove" onclick="<c:out value="${dimensionTree_dimensionTree1_data.applyRemove}"/>"/>
                </td>
              </tr>
            </table>
          </td>
          <td valign="top">
            <orabi:Render targetId="dimensionTree_pres1" parentForm="BIForm"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3" colspan="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%   } %>
<!-- End synchronization of the BI tags -->
