<!--
 * pageListDemo.jsp
 *
 * Copyright  1994-2004, Oracle. All rights reserved. Oracle grants
 * you ("Licensee") a non-exclusive, royalty-free, worldwide license to use,
 * modify and redistribute this software in source and binary code form, provided
 * that (i) this copyright notice and license appear on all copies of the
 * software; (ii) Licensee does not utilize the software in a manner disparaging
 * to Oracle; and (iii) Licensee does not utilize the software in a manner that
 * violates the terms of any Licensee agreement with Oracle.
 -->

<%@ taglib uri="http://xmlns.oracle.com/bibeans/jsp" prefix="orabi"%>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c"%>
<%@ page errorPage="cabo/bi/jsp/error.jsp"%>
<%@ page contentType="text/html;charset=windows-1252"%>
<!-- Start synchronization of the BI tags -->
<%  synchronized(session){ %>
<orabi:BIThinSession id="bisession1" configuration="/BIJSPTagGuideOLAPConfig1.xml">
  <orabi:PageList id="pageListDemo"/>
</orabi:BIThinSession>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=windows-1252"/>
    <title>BI Beans Page List Tag Demo</title>
  </head>
  <orabi:BIBody>
    <form name="BIForm" method="POST" action="pageListDemo.jsp">
      <orabi:InitBITags parentForm="BIForm"/>
      <!-- Insert your Business Intelligence tags here -->
      <table cellspacing="2" cellpadding="3" border="0" width="100%">
        <tr>
          <td colspan="2" bgcolor="#cccccc">
            <STRONG><FONT face="Arial" size="4">Page List Tag Demo</FONT> </STRONG>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" colspan="2" class="OraInstructionText" height="20">
            <ul>
              <li>The Page List tag allows you to easily display links to the different pages in your application</li>
              <LI>Once defined you can share a page list definition among different application pages and render it just like any other list tag</LI>
              <LI>Select a page from any of the controls below. Use the browser back button to return to this page</LI>
             </ul>
          </td>
        </tr>
        <tr>
          <td vAlign="middle" colspan="2" height="3">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" rowspan="3" width="15%">
            <table>
              <!--BI_TAGS_METADATA llt;;2;;dtn;;PageList;;dti;;pageListDemo;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;&lt;line&gt;;;llp;;2;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;3;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader" width="100%">
                  Pages displayed as Links
                </td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent" width="100%">
                  <table width="100%">
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="0" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="1" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="2" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="3" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="4" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="5" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="6" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="7" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="8" renderAs="link"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <hr width="100%" noshade="noshade"/>
                      </td>
                    </tr>
                    <tr>
                      <td>
                        <orabi:ListItem styleClass="OraBIListVioletItems" biList="${pageListDemo_data}" itemIndex="9" renderAs="link"/>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
          <td vAlign="top" nowrap="nowrap" height="20" width="42%">
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;PageList;;dti;;pageListDemo;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;1;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;SILVER;;lrt;;10;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListSilverHeader">
                  Pages displayed in a Navigator
                </td>
              </tr>
              <tr>
                <td class="OraBIListSilverContent">
                  <orabi:ListNavigator biList="${pageListDemo_data}"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3" width="42%">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="20" width="42%">
            <table>
              <!--BI_TAGS_METADATA llt;;1;;dtn;;PageList;;dti;;pageListDemo;;lgfdv;;2;;llissbc;;_EMP_VAL_;;ldlib;;false;;lscm;;3;;lhvs;;_EMP_VAL_;;llp;;2;;lscil;;_EMP_VAL_;;llv;;_L_T_D_;;llibc;;_EMP_VAL_;;lti;;VIOLET;;lrt;;2;;lgfd;;1;;lsct;;_L_T_D_;;llilp;;3;;-->
              <tr>
                <td class="OraBIListVioletHeader">
                  Pages displayed in a Listbox
                </td>
              </tr>
              <tr>
                <td class="OraBIListVioletContent">
                  <orabi:ListCombo biList="${pageListDemo_data}" styleClass="OraBIListVioletItems" renderAs="list" autoSubmit="false"/>
                </td>
              </tr>
              <tr>
                <td class="OraBIListVioletActions">
                  <orabi:Button text="${bisession1_bundle_data.go}" onClick="${pageListDemo_data.applyReplace}"/>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td vAlign="top" height="3" colspan="2">
            <hr width="100%" noshade="noshade"/>
          </td>
        </tr>
      </table>
      <!-- The InsertHiddenFields tag adds state fields to the parent form tag -->
      <orabi:InsertHiddenFields parentForm="BIForm" biThinSessionId="bisession1"/>
    </form>
  </orabi:BIBody>
</html>
<%  } %>
<!-- End synchronization of the BI tags -->
