SPOOL 02.LOG
set feedback off
set verify off
set pause off
set termout off
set heading off

  CREATE TABLE "SH"."TIMES_TEMP" 
   (	"TIME_ID" DATE NOT NULL ENABLE, 
	"DAY_NAME" VARCHAR2(9 BYTE) NOT NULL ENABLE, 
	"DAY_NUMBER_IN_WEEK" NUMBER(1,0) NOT NULL ENABLE, 
	"DAY_NUMBER_IN_MONTH" NUMBER(2,0) NOT NULL ENABLE, 
	"CALENDAR_WEEK_NUMBER" NUMBER(2,0) NOT NULL ENABLE, 
	"FISCAL_WEEK_NUMBER" NUMBER(2,0) NOT NULL ENABLE, 
	"WEEK_ENDING_DAY" DATE NOT NULL ENABLE, 
	"WEEK_ENDING_DAY_ID" NUMBER NOT NULL ENABLE, 
	"CALENDAR_MONTH_NUMBER" NUMBER(2,0) NOT NULL ENABLE, 
	"FISCAL_MONTH_NUMBER" NUMBER(2,0) NOT NULL ENABLE, 
	"CALENDAR_MONTH_DESC" VARCHAR2(8 BYTE) NOT NULL ENABLE, 
	"CALENDAR_MONTH_ID" NUMBER NOT NULL ENABLE, 
	"FISCAL_MONTH_DESC" VARCHAR2(8 BYTE) NOT NULL ENABLE, 
	"FISCAL_MONTH_ID" NUMBER NOT NULL ENABLE, 
	"DAYS_IN_CAL_MONTH" NUMBER NOT NULL ENABLE, 
	"DAYS_IN_FIS_MONTH" NUMBER NOT NULL ENABLE, 
	"END_OF_CAL_MONTH" DATE NOT NULL ENABLE, 
	"END_OF_FIS_MONTH" DATE NOT NULL ENABLE, 
	"CALENDAR_MONTH_NAME" VARCHAR2(9 BYTE) NOT NULL ENABLE, 
	"FISCAL_MONTH_NAME" VARCHAR2(9 BYTE) NOT NULL ENABLE, 
	"CALENDAR_QUARTER_DESC" CHAR(7 BYTE) NOT NULL ENABLE, 
	"CALENDAR_QUARTER_ID" NUMBER NOT NULL ENABLE, 
	"FISCAL_QUARTER_DESC" CHAR(7 BYTE) NOT NULL ENABLE, 
	"FISCAL_QUARTER_ID" NUMBER NOT NULL ENABLE, 
	"DAYS_IN_CAL_QUARTER" NUMBER NOT NULL ENABLE, 
	"DAYS_IN_FIS_QUARTER" NUMBER NOT NULL ENABLE, 
	"END_OF_CAL_QUARTER" DATE NOT NULL ENABLE, 
	"END_OF_FIS_QUARTER" DATE NOT NULL ENABLE, 
	"CALENDAR_QUARTER_NUMBER" NUMBER(1,0) NOT NULL ENABLE, 
	"FISCAL_QUARTER_NUMBER" NUMBER(1,0) NOT NULL ENABLE, 
	"CALENDAR_YEAR" NUMBER(4,0) NOT NULL ENABLE, 
	"CALENDAR_YEAR_ID" NUMBER NOT NULL ENABLE, 
	"FISCAL_YEAR" NUMBER(4,0) NOT NULL ENABLE, 
	"FISCAL_YEAR_ID" NUMBER NOT NULL ENABLE, 
	"DAYS_IN_CAL_YEAR" NUMBER NOT NULL ENABLE, 
	"DAYS_IN_FIS_YEAR" NUMBER NOT NULL ENABLE, 
	"END_OF_CAL_YEAR" DATE NOT NULL ENABLE, 
	"END_OF_FIS_YEAR" DATE NOT NULL ENABLE, 
	 CONSTRAINT "TIMES_TEMP_PK" PRIMARY KEY ("TIME_ID") ENABLE NOVALIDATE
   )
/
insert into times_temp select * from times
/

update times_temp set time_id = time_id + 1461
/


Commit;


SPOOL OFF

exit