SPOOL USER.LOG

rem Creates sh_olap user and eif file directory

CREATE TABLESPACE sh_olap NOLOGGING DATAFILE '&1/sh_olap_01.dbf' size 325M reuse AUTOEXTEND ON NEXT 1M maxsize 2048M segment space management auto autoallocate;
CREATE TEMPORARY TABLESPACE sh_olaptemp TEMPFILE '&1/sh_olaptemp_01.dbf' size 325M reuse EXTENT MANAGEMENT LOCAL UNIFORM SIZE 1M;

create user sh_olap identified by sh_olap default tablespace sh_olap temporary tablespace sh_olaptemp quota unlimited on sh_olap;
grant unlimited tablespace, olap_user, olap_dba, dba, create materialized view to sh_olap;

create or replace directory eifdir as '&2';
grant write on directory eifdir to public;
grant read on directory eifdir to public;
commit;
SPOOL OFF
quit;
