set feedback off
set verify off
set pause off
set termout off
set heading off

grant select on sh.PROFITS_TAB to bi_user;
grant select on sh.TIMES to bi_user;
grant select on sh.PRODUCTS to bi_user;
grant select on sh.CHANNELS to bi_user;
grant select on sh.PROMOTIONS to bi_user;
grant select on sh.CUSTOMERS to bi_user;
grant select on sh.COUNTRIES to bi_user;
grant select on sh.SUPPLEMENTARY_DEMOGRAPHICS to bi_user;
grant select on sh.MVIEW$_EXCEPTIONS to bi_user;
grant select on sh.SALES to bi_user;
grant select on sh.COSTS to bi_user;
grant select on sh.SALES_TRANSACTIONS_EXT to bi_user;
grant select on sh.PROFITS to bi_user;
grant dba to bi_user;

REM Core Summary Managemnt Privs
grant CREATE TABLE to bi_user;
grant CREATE VIEW to bi_user;
grant CREATE PROCEDURE to bi_user;
grant analyze any to bi_user;
grant create any materialized view to bi_user;
grant drop any materialized view to bi_user;
grant alter any materialized view to bi_user;
grant global query rewrite to bi_user;
grant SELECT ON V_$PARAMETER to bi_user;

exit